Subject: [RFC] ARM: Make CPU_DCACHE_DISABLE depend on !SMP

From: [email-masked] (Florian Fainelli)
Date: Thu, 08 Jan 2015 14:25:57 -0800

On 08/01/15 14:13, Russell King - ARM Linux wrote:
> On Thu, Jan 08, 2015 at 11:10:47PM +0100, Arnd Bergmann wrote:
>> My guess is that any implementation that has working LDREX/STREX
>> on uncached memory does not support SMP, because these instructions
>> tend to be implemented through the cache coherency logic on SMP
>> systems but could be implemented more easily without a dcache
>> on uniprocessor cores.
> 
> Yes, I negated Tony's patches... Tony was fixing pstore to use
> writecombine memory.
> 
> So this change is fine.

Do you want me to submit the patch as-is to your patch tracking, or
would you want to include Gregory's quotes for completeness?
--
Florian